Skip to main content
PATCH
/
lists
/
{entityType}
/
{id}
Update a list
curl --request PATCH \
  --url https://api.gospott.com/lists/{entityType}/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "colorHex": "<string>"
}
'
{
  "status": 0,
  "message": "<string>",
  "requestId": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

entityType
enum<string>
required
Available options:
candidate,
client,
client-contact
id
string
required

Body

application/json
name
string
Minimum string length: 1
colorHex
string
Pattern: ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{4}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
type
enum<string>
Available options:
PERSONAL,
WORKSPACE

Response

List updated successfully